body {
    font-family: Arial, sans-serif;
    background-color: #2c3e50;
    color: #ecf0f1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    margin: 0;
    position: relative; /* Ensure the body acts as a relative container */
}

#game-container {
    background-color: #34495e;
    padding: 20px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.3);
    border-radius: 10px;
    text-align: center;
    width: 80%;
    max-width: 600px;
    z-index: 1; /* Ensure the container is above the background text */
}

#timer {
    font-size: 1.2em;
    margin-bottom: 10px;
}

h1 {
    margin-bottom: 20px;
}

#room-description {
    margin-bottom: 20px;
}

input {
    margin-top: 10px;
    padding: 10px;
    font-size: 16px;
    width: calc(100% - 22px);
}

button {
    margin-top: 10px;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    background-color: #e74c3c;
    color: #fff;
    border: none;
    border-radius: 5px;
}

button:hover {
    background-color: #c0392b;
}

#extra-content {
    margin-top: 20px;
}

.hidden-text {
    color: transparent; /* Initially hidden */
    font-size: 2em;
    position: absolute;
    top: 10%; /* Higher on the page */
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2; /* Ensure it is above other content */
}

#background-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 4em;
    color: transparent; /* Initially hidden */
    z-index: 0;
}

body.purple-background #background-text,
body.purple-background #secret-text {
    color: #FFFFFF; /* Make text visible */
}
#images{
    width: 300px;
}